package com.yonge.cooleshow.biz.dal.wrapper.teacher;

import com.alibaba.fastjson.JSON;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * Created by Eric.Shang on 2022/10/8.
 */
public class TeacherWrapper {

    /**
     * 老师统计指标信息
     */
    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    public static class TeacherStatInfo implements Serializable {

        // 星级
        private Integer starGrade;
        // 粉丝数
        private Integer fansNum;
        // 已上课时
        private Integer expTime;
        // 未上课时
        private Integer unExpTime;
        // 专辑数
        private Integer musicAlbumNum;
        // 曲谱数
        private Integer musicSheetNum;
        // 学生数
        private Integer studentNums;

        public String jsonString() {

            return JSON.toJSONString(this);
        }


        public TeacherStatInfo starGrade(Integer starGrade) {
            this.starGrade = starGrade;
            return this;
        }

        public TeacherStatInfo fansNum(Integer fansNum) {
            this.fansNum = fansNum;
            return this;
        }

        public TeacherStatInfo expTime(Integer expTime) {
            this.expTime = expTime;
            return this;
        }

        public TeacherStatInfo unExpTime(Integer unExpTime) {
            this.unExpTime = unExpTime;
            return this;
        }

        public TeacherStatInfo musicAlbumNum(Integer musicAlbumNum) {
            this.musicAlbumNum = musicAlbumNum;
            return this;
        }

        public TeacherStatInfo musicSheetNum(Integer musicSheetNum) {
            this.musicSheetNum = musicSheetNum;
            return this;
        }

    }
}
